Skip to product information
1 of 19

Witchy & Wild

Sensual Pu Leather Harness Chain Belt / Fashion Gothic Accessories for Women

Sensual Pu Leather Harness Chain Belt / Fashion Gothic Accessories for Women

Regular price $25.00 USD
Regular price Sale price $25.00 USD
Sale Sold out
Shipping calculated at checkout.
Color

WOMEN`S PU LEATHER HARNESS BELT - GOTHIC ACCESSORY

Take a look at this stylish model of a women`s harness belt in the gothic style. This harness belt is made of quality PU leather and has silver chains as decoration. It will perfectly emphasize all the benefits of your figure. We offer you many colours for your comfortable choice.

IMPORTANT
If applicable, please measure your body dimensions and carefully pick a suitable size according to the chart.

Brand Name: WITCHY AND WILD
Gender: Female
Metals Type: Zinc Alloy
Body Jewelry Type: Belly Chains
Item Type: Body Jewelry
Shape pattern: Round
Material: Metal
Style: Alternative Fashion, Punk

Once you know your body measurements, consult the Size Chart for actual item measurements to determine which size you should purchase.

Size Length
(cm/inch)
One Size 92cm/36.22"(Adjustable)

Click here to run the measurement system converter

*These charts are for reference only. Fit may vary depending on the construction, materials, and manufacturer.
Note, real colors may slightly be different from the pictures due to the screen resolution, brightness, contrast, etc.

How to Measure
To choose the correct size for you, measure your body as follows:
how to measure female body harness size

FREE SHIPPING 🚛💌: Free shipping for orders over 100$

Shipping Cost

The Shipping rate is depend on what on your cart and will be reflect at checkout. But don't worry, we won't make it hard!

Shipping Time

10 – 20 working days (in regular seasons) or more depends on holiday seasons.

Need Help?

Contact Us HERE

View full details

🎉 SPECIAL OFFER 💌

💖 Buy 2 (or more), get 5% off.

💛 Buy 5 (or more), get 8% off.

💜 Buy 10 (or more), get 10% off.

All promo auto-applied. No code needed.